g35+e2:
  general:
    full_name: "Graph 35+E II"
    international_name: "fx-9750G/9860G III"
    year_launched: 2019
    predecessor: g35+e
    successor: no
    family: family.mono
    active: yes
  teaching:
    audience: audience.high_school
    exam_mode: yes
    math_input: yes
    pretty_print: yes
    matrices: yes
    complex_calculus: yes
    symbolic_calculus: symbolic_calculus.QPiRac
    cas: cas.khicas_fx
  packaging:
    size: [18.7, 83.5, 175] # mm
    weight: 190 # g
    power: power.4aaa
    power_runtime: 230 # hours
  programming:
    casio_basic: casio_basic.native
    add_ins: add_ins.native
    add_ins_sdk: [add_ins_sdk.fx9860g_sdk, add_ins_sdk.fxsdk]
    python: python.native_os310
  hardware:
    mpu: "SH7305"
    cpu: "SH4AL-DSP"
    default_cpu_frequency: 59000000 # Hz
    overclock_tools: ["Ftune 3"]
    max_cpu_frequency: 235000000 # Hz
    ram_chip: 512000 # bytes
    rom_chip: 8000000 # bytes
    ram_storage: 62000 # bytes
    rom_storage: 3000000 # bytes
    sd_card: no
  devices:
    display: display.t6k11_variant
    backlit_display: no
    color_mode: color_mode.mono
    touch_screen: no
    display_size_pixels: [128, 64] # pixels
    display_size_text: [21, 7] # characters
    serial_connection: serial_connection.jack_25
    usb_connection: usb_connection.mini_usb_b
    protocols: [protocols.scsi, protocols.p7]
    transfer_software: [transfer_software.file_browser]
    transfer_tutorial: transfer_tutorial.usb_mass_storage
  misc:
    price_range: [60, 100] # euros
    last_os_version: "3.40"
  links:
    casio_france:
      "[Casio Éducation](https://www.casio-education.fr/produits/graph-35e-ii/) (2021)"
    casio_international:
      "[edu.casio.com](https://edu.casio.com/products/graphic/fx9860g3/) (2021)"
  manuals:
    software_french_fr:
      "3.00": "https://support.casio.com/storage/fr/manual/pdf/FR/004/GRAPH35+EII_Soft_v300_FR.pdf"
      "3.10": "https://support.casio.com/storage/fr/manual/pdf/FR/004/GRAPH35+EII_Soft_v310_FR.pdf"
      "3.30": "https://support.casio.com/storage/fr/manual/pdf/FR/004/GRAPH35+EII_Soft_v330_FR.pdf"
      "3.40": "https://support.casio.com/storage/fr/manual/pdf/FR/004/GRAPH35+EII_Soft_v340_FR.pdf"
    software_international_fr:
      "3.21": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-9750GIII_Soft_v321_FR.pdf"
      "3.40": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-9750GIII_Soft_v340_FR.pdf"
    software_international_en:
      "3.21": "https://support.casio.com/storage/en/manual/pdf/EN/004/fx-9750GIII_Soft_v321_EN.pdf"
      "3.40": "https://support.casio.com/storage/en/manual/pdf/EN/004/fx-9860GIII_Soft_v340_EN.pdf"
    hardware_french_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/GRAPH25+EII_hard_FR.pdf"
    hardware_international_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-9860GIII_9750GIII_7400GIII_Hard_FR.pdf"
    hardware_international_en:
      "support.casio.com": "https://support.casio.com/storage/en/manual/pdf/EN/004/fx-9860GIII_9750GIII_7400GIII_Hard_EN.pdf"

